profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/upgoingstar/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Shubham mittal upgoingstar http://3ncrypt0r.blogspot.com #SecurityConsultant #pentester Project Lead of @DataSploit Founder @ReconVillage

DataSploit/datasploit 2449

An #OSINT Framework to perform various recon techniques on Companies, People, Phone Number, Bitcoin Addresses, etc., aggregate all the raw data, and give data in multiple formats.

upgoingstar/hackerone_public_reports 70

Finds all public bug reports on reported on Hackerone

upgoingstar/IP-Generator 21

Generates IP, while Excluding/Including specific IP blocks. Useful in Mass Scanning.

upgoingstar/SecLists 6

SecLists is the security tester's companion. It is a collection of multiple types of lists used during security assessments. List types include usernames, passwords, URLs, sensitive data grep strings, fuzzing payloads, and many more.

upgoingstar/MySql-to-ElasticSearch-Dump 3

This small script will pick all your data from a db and push it into the ElasticSearch db, by making key value pairs.

upgoingstar/null-Delhi-humla 3

This repository holds all the codes we made participants write down in Python for pentesters Humla Session

SecurityFTW/SecurityFTW.github.io 2

Contains documentations

upgoingstar/Awesome-Red-Teaming 2

List of Awesome Red Teaming Resources

upgoingstar/blackhat-arsenal-tools 2

Official Black Hat Arsenal Security Tools Repository

upgoingstar/Cr3dOv3r 2

Know the dangers of credential reuse attacks.

startedcyberark/kubesploit

started time in 6 days

startedAccenture/jenkins-attack-framework

started time in 6 days

PR opened lockfale/OSINT-Framework

Add TweeterID

TweeterID is a free tool that converts any Twitter @handle to its respective Twitter ID or vice versa. Internet trolls and cyberstalkers often change their Twitter @handle to disguise themselves in order to continue harassing their victims, but they cannot change their Twitter ID. This tool helps identify and stop bad actors more quickly.

+6614 -6409

0 comment

1 changed file

pr created time in 10 days

issue openedlockfale/OSINT-Framework

List of various bad links and other issues encountered.

Noticed multiple bad links that led nowhere, as well as a few other sites of note, and decided to begin making a list. Others are welcome to comment any sites not listed that fall under the listed "categories", or if a site listed here is not agreed with. Open to corrections, feedback, and additions.

Websites which returned a 404 error:

  • Ark | https://ark.com/landing
  • Snoop Station | https://snoopstation.com/index.html
  • Speedy Hunt (Domain is for sale, also triggers uBlock Origin's blocking filters.) | https://speedyhunt.com/
  • TerraServer | https://www.terraserver.com/view

Websites which returned "DNS Probe Possible", but never loaded:

  • Breach or Clear| http://breachorclear.jesterscourt.cc/
  • DNS Black Hole List (Ironically) | http://www.tcpiputils.com/dns-blackhole-list
  • eVerify | http://www.everify.com/

Websites which require payment to do anything, defeating the purpose of "freely available information":

  • Pipl | https://pipl.com/
  • Spokeo People Search | http://www.spokeo.com/
  • SearchBug | https://www.searchbug.com/#pageTop

Sites which require registration now (Not too huge of an issue, just need the little "R" appended to them):

  • Dehashed | https://dehashed.com/
  • Intelligence X (Shows short preview before requiring registration) | https://intelx.io/

Other

  • The New Ultimates (uBlock's blocking filters activate, and redirects a blank page)| http://www.newultimates.com/
  • SkypeGrab (same as The New Ultimates) http://ww7.skypegrab.net/?z
  • Scanless (Is a tool for Python, shouldn't it have the "T" appended?) | https://github.com/vesche/scanless
  • Notey (Is now a website builder instead of a search engine) | https://www.notey.com/
  • Report Linker ("request a demo" only) | https://www.reportlinker.com/

created time in 13 days

startedrvrsh3ll/SharpExcel4-DCOM

started time in 20 days

PR opened lockfale/OSINT-Framework

Update arf.json category from "IP Address" to "IP & MAC Address".

This category title right now does not indicate that some tools nested under it can be used based on a MAC address (i.e. WiGLE), so it would be useful to make the name more broad. Maybe "IP & MAC Address" is not the best fit, but it's the first thing that comes to mind.

+1 -1

0 comment

1 changed file

pr created time in 25 days

startedFSecureLABS/C3

started time in a month

started0xthirteen/SharpRDP

started time in a month

startedJamesCooteUK/SharpSphere

started time in a month

started1ndianl33t/Bug-Bounty-Roadmaps

started time in a month

issue closedDataSploit/datasploit

install error

Please provide the following details.

Host System

  • OS : kali linux
  • Python version (3.7) :

Error Description

I try to install datasploit so if i install it with pip install datasploit i get this: Collecting datasploit Requirement already satisfied: tqdm==4.7.6 in /usr/local/lib/python2.7/dist-packages (from datasploit) (4.7.6) Requirement already satisfied: idna==2.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (2.1) Requirement already satisfied: python-Wappalyzer==0.2.2 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.2.2) Requirement already satisfied: tweepy==3.5.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.5.0) Requirement already satisfied: python-whois==0.6.2 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.6.2) Requirement already satisfied: simplejson==3.8.2 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.8.2) Requirement already satisfied: dnspython==1.14.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (1.14.0) Requirement already satisfied: beautifulsoup4==4.4.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (4.4.1) Requirement already satisfied: json2html==1.0.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (1.0.1) Requirement already satisfied: pytz==2016.6.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (2016.6.1) Requirement already satisfied: piplapis-python==5.1.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (5.1.0) Requirement already satisfied: ipwhois==0.15.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.15.1) Requirement already satisfied: lxml==3.6.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.6.0) Requirement already satisfied: config==0.3.9 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.3.9) Requirement already satisfied: BeautifulSoup==3.2.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.2.1) Requirement already satisfied: billiard==3.3.0.23 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.3.0.23) Requirement already satisfied: pymongo==3.3.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (3.3.0) Requirement already satisfied: requests==2.10.0 in /usr/local/lib/python2.7/dist-packages (from datasploit) (2.10.0) Requirement already satisfied: anyjson==0.3.3 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.3.3) Requirement already satisfied: bs4==0.0.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.0.1) Requirement already satisfied: future==0.15.2 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.15.2) Requirement already satisfied: clearbit==0.1.4 in /usr/local/lib/python2.7/dist-packages (from datasploit) (0.1.4) Requirement already satisfied: termcolor in /usr/local/lib/python2.7/dist-packages (from datasploit) (1.1.0) Requirement already satisfied: tldextract==2.0.1 in /usr/local/lib/python2.7/dist-packages (from datasploit) (2.0.1) Requirement already satisfied: requests-file==1.4 in /usr/local/lib/python2.7/dist-packages (from datasploit) (1.4) Requirement already satisfied: requests-oauthlib>=0.4.1 in /usr/local/lib/python2.7/dist-packages (from tweepy==3.5.0->datasploit) (1.2.0) Requirement already satisfied: six>=1.7.3 in /usr/local/lib/python2.7/dist-packages (from tweepy==3.5.0->datasploit) (1.12.0) Requirement already satisfied: ipaddr in /usr/local/lib/python2.7/dist-packages (from ipwhois==0.15.1->datasploit) (2.2.0) Requirement already satisfied: setuptools in /usr/local/lib/python2.7/dist-packages (from tldextract==2.0.1->datasploit) (41.2.0) Requirement already satisfied: oauthlib>=3.0.0 in /usr/local/lib/python2.7/dist-packages (from requests-oauthlib>=0.4.1->tweepy==3.5.0->datasploit) (3.1.0) Installing collected packages: datasploit Successfully installed datasploit-1.0 bup if i try to open it i get this error: ` root@kali:~/Downloads/datasploit# datasploit -i google.com True

/ / _ / /_ ____ _ _____ ____ / /____ ()/ / / __ // __ // __// __// // __ \ / // __ \ / // __/ / // // // // / / // /(__ )/ // // // // // // / _,/ _,/ _/ _,//// ./// _/// _/ /_/

       Open Source Assistant for #OSINT
           www.datasploit.info

Target: google.com Looks like a DOMAIN, running domainOsint...

[-] Skipping Googlepdf because it is marked as disabled. Traceback (most recent call last): File "datasploit.py", line 112, in <module> main(sys.argv[1:]) File "datasploit.py", line 68, in main auto_select_target(single_input, output) File "datasploit.py", line 104, in auto_select_target domainOsint.run(target, output) File "/usr/share/datasploit/domainOsint.py", line 9, in run osint_runner.run("domain", "domain", domain, output) File "/usr/share/datasploit/osint_runner.py", line 17, in run x = importlib.import_module(module_name) File "/usr/lib/python2.7/importlib/init.py", line 37, in import_module import(name) File "/usr/share/datasploit/domain/domain_wikileaks.py", line 5, in <module> from bs4 import BeautifulSoup File "/usr/local/lib/python2.7/dist-packages/bs4/init.py", line 30, in <module> from .builder import builder_registry, ParserRejectedMarkup File "/usr/local/lib/python2.7/dist-packages/bs4/builder/init.py", line 314, in <module> from . import _html5lib File "/usr/local/lib/python2.7/dist-packages/bs4/builder/_html5lib.py", line 70, in <module> class TreeBuilderForHtml5lib(html5lib.treebuilders._base.TreeBuilder): AttributeError: 'module' object has no attribute '_base' `

can someone help me.

closed time in a month

JordRoest

issue openedlockfale/OSINT-Framework

Google Account Research Tool Ghunt

I suggest you add a link to this great tool https://github.com/mxrch/GHunt it can find these datapoints:

  • Owners Name
  • YouTube Channel
  • Other Usernames
  • Maps Reviews
  • Physical location
  • Events from Google Cal
  • Last time the profile was edited

it requires an email address, so perhaps it is best listed in that section of your tool

created time in a month

PR opened lockfale/OSINT-Framework

Update: added Osintgram
+10 -0

0 comment

1 changed file

pr created time in a month

PR opened lockfale/OSINT-Framework

Been Verified requires registration and payment

Tried to use this tool, requires registration and payment at the end to see results.

+1 -1

0 comment

1 changed file

pr created time in a month

PR opened lockfale/OSINT-Framework

Update arf.json

added xeuledoc - a metadata extractor for public google docs remove gbimg.org - points to a dead webpage

+5 -4

0 comment

1 changed file

pr created time in a month

issue commentlockfale/OSINT-Framework

Tracking

@s0lray please address this issue as soon as possible.

nibel1989

comment created time in 2 months

issue openedlockfale/OSINT-Framework

Tracking

created time in 2 months

issue openedlockfale/OSINT-Framework

Osint-Framework

created time in 2 months

startedAetsu/OffensivePipeline

started time in 2 months

startedmitre-attack/attack-arsenal

started time in 2 months

startedtheparanoids/ashirt-server

started time in 2 months

startedcorneliusweig/rakkess

started time in 2 months

PR opened lockfale/OSINT-Framework

Update arf.json

oxt.me (Open Explorer Tool) is a basic free chain analysis tool that has many features beneficial to the OSINT community that are not available on most public block explorers.

These features include:

  • User annotations of financial entities, available with a free account (no email required)
  • A conservative wallet clustering algorithm for grouping multiple addresses
  • A transaction graph which is accessible from tool bar on the left side of the transactions tab
+5 -0

0 comment

1 changed file

pr created time in 2 months

startedliamg/traitor

started time in 2 months

issue openedDataSploit/datasploit

syntax error ; os.path.exists ^ invalid syntax line 46

Please provide the following details.

Host System

_(base) ┌──(root💀debian)-[~/datasploit] └─# cat /etc/os-release PRETTY_NAME="Kali GNU/Linux Rolling" NAME="Kali GNU/Linux" ID=kali VERSION="2021.1"

Python 3.8.5_

Error Description

(base) ┌──(root💀debian)-[~/datasploit] └─# python datasploit.py
File "datasploit.py", line 46 print os.path.exists(config_file_path) ^ SyntaxError: invalid syntax

If you cloned Datasploit, also provide the output of git log -n 1 --pretty=format:"%B".

(base) ┌──(root💀debian)-[~/datasploit] └─# git log -n 1 --pretty=format:"%B" Enabling text report output

created time in 2 months

pull request commentlockfale/OSINT-Framework

Update arf.json

Added ADS-B.NL, it uses ADSBexchange's API, but it provides a simpler and quicker search function.

veloxer

comment created time in 2 months

PR opened lockfale/OSINT-Framework

Update arf.json
+5 -0

0 comment

1 changed file

pr created time in 2 months

startedchrissanders/packets

started time in 2 months

startedsbousseaden/PCAP-ATTACK

started time in 2 months